<?php

/**
 * Dynamic CSS
 */
function fast_food_joint_dynamic_css() {
	$fast_food_joint_primary_color = get_theme_mod( 'fast_food_joint_primary_color', '#DF9301' );

	$fast_food_joint_site_title_font       = get_theme_mod( 'fast_food_joint_site_title_font', 'Montserrat' );
	$fast_food_joint_site_description_font = get_theme_mod( 'fast_food_joint_site_description_font', 'Montserrat' );
	$fast_food_joint_header_font           = get_theme_mod( 'fast_food_joint_header_font', 'Lemon' );
	$fast_food_joint_content_font             = get_theme_mod( 'fast_food_joint_content_font', 'Montserrat' );

	// Enqueue Google Fonts
	$fonts_url = fast_food_joint_get_fonts_url();
	if ( ! empty( $fonts_url ) ) {
		wp_enqueue_style( 'fast-food-joint-google-fonts', esc_url( $fonts_url ), array(), null );
	}

	$fast_food_joint_custom_css  = '';
	$fast_food_joint_custom_css .= '
    /* Color */
    :root {
        --primary-color: ' . esc_attr( $fast_food_joint_primary_color ) . ';
        --header-text-color: ' . esc_attr( '#' . get_header_textcolor() ) . ';
    }
    ';

	$fast_food_joint_custom_css .= '
    /* Typography */
    :root {
        --font-heading: "' . esc_attr( $fast_food_joint_header_font ) . '", serif;
        --font-main: -apple-system, BlinkMacSystemFont, "' . esc_attr( $fast_food_joint_content_font ) . '", "Segoe UI",Raleway, Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
    }

    body,
	button, input, select, optgroup, textarea, p {
        font-family: "' . esc_attr( $fast_food_joint_content_font ) . '", serif;
	}

	.site-identity p.site-title, h1.site-title a, h1.site-title, p.site-title a, .site-branding h1.site-title a {
        font-family: "' . esc_attr( $fast_food_joint_site_title_font ) . '", serif;
	}
    
	p.site-description {
        font-family: "' . esc_attr( $fast_food_joint_site_description_font ) . '", serif !important;
	}
    ';

	wp_add_inline_style( 'fast-food-joint-style', $fast_food_joint_custom_css );
}
add_action( 'wp_enqueue_scripts', 'fast_food_joint_dynamic_css', 99 );